package com.gic.haoban.manage.service.service.impl;

import java.util.Date;
import java.util.List;
import java.util.Set;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.haoban.common.utils.StringUtil;
import com.gic.haoban.manage.service.dao.mapper.TabHaobanWxEnterpriseApplicationRelatedMapper;
import com.gic.haoban.manage.service.entity.TabHaobanWxEnterpriseApplicationRelated;
import com.gic.haoban.manage.service.service.WxEnterpriseApplicationRelatedService;

@Service
public class WxEnterpriseApplicationRelatedServiceImpl implements WxEnterpriseApplicationRelatedService{
	
	@Autowired 
	private TabHaobanWxEnterpriseApplicationRelatedMapper mapper;
	
	@Override
	public void saveEnterpriseApplicationRelateds(Set<String> applicationSet,String wxEnterpriseId){
		List<TabHaobanWxEnterpriseApplicationRelated> list = mapper.listByWxEnterpriseId(wxEnterpriseId);
		//删除已经设置过的 这次不设置的应用
		for (TabHaobanWxEnterpriseApplicationRelated tabHaobanWxEnterpriseApplicationRelated : list) {
			if(!applicationSet.contains(tabHaobanWxEnterpriseApplicationRelated.getApplicationId())){
				mapper.deleteByPrimaryKey(tabHaobanWxEnterpriseApplicationRelated.getWxEnterpriseApplicationRelatedId());
			}
		}
		//新增设置的应用
		for (String applicationId : applicationSet) {
			TabHaobanWxEnterpriseApplicationRelated tab = mapper.selectByApplicationIdAndWxEnterpriseId(applicationId,wxEnterpriseId);
			if(tab != null){
				tab = new TabHaobanWxEnterpriseApplicationRelated();
				tab.setApplicationId(applicationId);
				tab.setCreateTime(new Date());
				tab.setUpdateTime(tab.getCreateTime());
				tab.setStatusFlag(1);
				tab.setWxEnterpriseId(wxEnterpriseId);
				tab.setWxEnterpriseApplicationRelatedId(StringUtil.randomUUID());
				mapper.insert(tab);
			}
		}
	}

	@Override
	public List<TabHaobanWxEnterpriseApplicationRelated> listByWxEnterpriseId(String wxEnterpriseId) {
		return mapper.listByWxEnterpriseId(wxEnterpriseId);
	}

}
